/* eslint-disable max-len */
import React, { SVGProps } from "react";

import styles from "@/icons/IconFills.module.scss";
import { IiCon } from "@/types/IconInterface";

export const UsersIcon = ({ color, width = "26px", height = "32px", fill, ...restProps }: IiCon & SVGProps<SVGSVGElement>) => (
    <svg
        width={width}
        height={height}
        className={styles[`icon_color-${color}`]}
        style={{ width, height }}
        viewBox="0 0 26 32"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
        {...restProps}
    >
        <path
            d="M6.125 12.75C4.99219 12.75 3.97656 12.1641 3.39062 11.1875C2.84375 10.25 2.84375 9.03906 3.39062 8.0625C3.97656 7.125 4.99219 6.5 6.125 6.5C7.21875 6.5 8.23438 7.125 8.82031 8.0625C9.36719 9.03906 9.36719 10.25 8.82031 11.1875C8.23438 12.1641 7.21875 12.75 6.125 12.75ZM20.5 12.75C19.3672 12.75 18.3516 12.1641 17.7656 11.1875C17.2188 10.25 17.2188 9.03906 17.7656 8.0625C18.3516 7.125 19.3672 6.5 20.5 6.5C21.5938 6.5 22.6094 7.125 23.1953 8.0625C23.7422 9.03906 23.7422 10.25 23.1953 11.1875C22.6094 12.1641 21.5938 12.75 20.5 12.75ZM0.5 18.1797C0.5 15.875 2.33594 14 4.64062 14H6.32031C6.94531 14 7.53125 14.1562 8.07812 14.3906C8 14.6641 8 14.9766 8 15.25C8 16.7734 8.625 18.1016 9.67969 19H9.64062H1.32031C0.851562 19 0.5 18.6484 0.5 18.1797ZM16.3203 19H16.2812C17.3359 18.1016 18 16.7734 18 15.25C18 14.9766 17.9609 14.6641 17.9219 14.3906C18.4297 14.1562 19.0156 14 19.6406 14H21.3203C23.625 14 25.5 15.875 25.5 18.1797C25.5 18.6484 25.1094 19 24.6406 19H16.3203ZM13 13.375C12.2969 13.375 11.7109 13.7656 11.3594 14.3125C11.0078 14.8984 11.0078 15.6406 11.3594 16.1875C11.7109 16.7734 12.2969 17.125 13 17.125C13.6641 17.125 14.25 16.7734 14.6016 16.1875C14.9531 15.6406 14.9531 14.8984 14.6016 14.3125C14.25 13.7656 13.6641 13.375 13 13.375ZM13 19C11.6328 19 10.4219 18.2969 9.71875 17.125C9.05469 15.9922 9.05469 14.5469 9.71875 13.375C10.4219 12.2422 11.6328 11.5 13 11.5C14.3281 11.5 15.5391 12.2422 16.2422 13.375C16.9062 14.5469 16.9062 15.9922 16.2422 17.125C15.5391 18.2969 14.3281 19 13 19ZM10.6953 22.125C9.13281 22.125 7.84375 23.2188 7.45312 24.625H18.5078C18.1172 23.2188 16.8281 22.125 15.2656 22.125H10.6953ZM10.6953 20.25H15.2656C18.1562 20.25 20.5 22.5938 20.5 25.4844C20.5 26.0703 20.0312 26.5 19.4453 26.5H6.51562C5.92969 26.5 5.5 26.0312 5.5 25.4844C5.5 22.5938 7.80469 20.25 10.6953 20.25Z"
            fill={fill}
        />
    </svg>
);
